CashOrNothingPayoff Class Reference

Binary cash-or-nothing payoff. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for CashOrNothingPayoff:
[legend]

## Public Member Functions

| CashOrNothingPayoff (Option::Type type, Real strike, Real cashPayoff)
Real | cashPayoff () const
Payoff interface
std::string | name () const
std::string | description () const
Real | operator() (Real price) const
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from StrikedTypePayoff
Real | strike () const
Public Member Functions inherited from TypePayoff
Option::Type | optionType () const
Payoff interface
Visitability

## Protected Attributes

Real | cashPayoff_
Protected Attributes inherited from StrikedTypePayoff
Real | strike_
Protected Attributes inherited from TypePayoff
Option::Type | type_

## Additional Inherited Members

Protected Member Functions inherited from StrikedTypePayoff
| StrikedTypePayoff (Option::Type type, Real strike)
Protected Member Functions inherited from TypePayoff
| TypePayoff (Option::Type type)

## Detailed Description

Binary cash-or-nothing payoff.

Examples:
  Replication.cpp.

## Member Function Documentation

## name()

std::string name | ( |  | ) | const

virtual

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.